# Function getTransferNativeWithPayloadCpiAccounts

- getTransferNativeWithPayloadCpiAccounts(cpiProgramId, tokenBridgeProgramId, wormholeProgramId, payer, message, fromTokenAccount, mint): TransferNativeWithPayloadCpiAccounts

- Generate accounts needed to perform `transfer_wrapped_with_payload` instruction as cross-program invocation.

  #### Parameters

  - ##### cpiProgramId: PublicKeyInitData

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### fromTokenAccount: PublicKeyInitData

  - ##### mint: PublicKeyInitData

  #### Returns TransferNativeWithPayloadCpiAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/cpi.ts:169

Generated using TypeDoc